Page MenuHomePhabricator

Commons Deletion Bot: Rollout tracking
Open, NormalPublic

Description

This ticket is to monitor Commons bot rollout to all wikis which ask for it.

English wikipedia
Hebrew wikipedia
  • Volunteer supporter: Eran.
  • Translations: Link
  • Bot approval request:Link
  • Trial run, if required:
  • Mark edit as bot edit? no
  • Mark edit as minor? default (don't care)
  • Any edit tags? no
Romanian wikipedia
  • Volunteer: Strainu
  • Translations: Link
  • Bot approval request: Link Approved
  • Trial run, if required: No
  • Mark edit as bot edit? No
  • Mark edit as minor?
  • Any edit tags? No
Polish wikipedia
  • Volunteer: Wostr
  • Translations:
  • Bot approval request: Link
  • Trial run, if required: 30 edits
  • Mark edit as bot edit? No.
  • Mark edit as minor? No.
  • Any edit tags? No.

Next wikis:

  • Vietnamese wikipedia
  • Catalan wikipedia

Event Timeline

TBolliger triaged this task as Normal priority.
TBolliger updated the task description. (Show Details)Mar 20 2018, 11:33 PM
Keegan added a comment.May 2 2018, 6:49 PM

Hebrew Wikipedia has identified an owner for the bot, message left on meta.

Niharika updated the task description. (Show Details)May 4 2018, 3:14 AM
TBolliger renamed this task from Commons Deletion Bot: Determine & execute rollout strategy (which wikis? in what order? opt-in or out?) to Commons Deletion Bot: Determine & execute rollout strategy (which wikis? in what order?).May 8 2018, 10:48 PM

@Keegan — food for thought: can we enable this on smaller wikis without direct approval?

Also: here's a count (generated from this spreadsheet) of how many wikis were present in the Wishlist voting phase. If a user had 1,000+ edits on a wiki I marked their wiki. Looks like we should reach out to wikidata, meta, Romanian, German, Polish, and Hungarian.

wikinumber of users who voted in the wishlist
en59
wikidata39
meta22
ro7
de6
pl5
hu4
cs, fr, en.wikivoyage, mediawiki, en.wikitonary3
ru, sv, it, en.wikinews, nl, simple, incubator2
he, ka, pt, nn, ew, fa, gn, es, hi, uk, bg, sl, en.wikiversity, cs.wikitonary, hu.wikibooks, ko, lv, no, pt.wikitonary, it.wikiquote, species, arz, en.wikisource, it.wikivoyage,zh, ar.wikitonary, fr.wikitonary, ua, zh.wikivoyage, ar.wikinews, ar.wikibooks, ar.wikiquote, ar.wikiversity, ar.wikisource1

Not sure if the bot will work out-of-the-box for wikidata, we should check with @MaxSem.

Images used by Wikidata entities are registered in (global)imagelinks, so the bot should work there without any modifications. As of Meta, we need to determine which namespaces would benefit from this and add support for configuring these, aka T194797: Commons Deletion bot should support setting some options per wiki. To go to non-English projects, we need to stabilize messages and add these to Translatewiki (current plan is to do that via Intuition).

@Keegan — food for thought: can we enable this on smaller wikis without direct approval?

I wouldn't suggest running a bot on a wiki without asking anywhere, and that'd be advice to volunteers and WMF alike.

If there's no firm bot approvals process, a village pump post asking for community permission with a few "yes" responses is usually good enough to get permission. It's not super challenging to do, it's actually far easier than requesting bot approval formally, I think.

This train is ready to roll. We have the messages available on TWN now.

@MaxSem Besides bot approval and translations, is there anything else we need before the bot can be enabled on a wiki?

Niharika updated the task description. (Show Details)Aug 9 2018, 9:09 PM
Niharika updated the task description. (Show Details)
Niharika updated the task description. (Show Details)

@Keegan Could you reach out to Eran and let him know that we're ready to rollout the bot on Hebrew wikipedia once we have the translations and bot approval in place? We'd appreciate any help he's able to provide for those tasks.

We can also get the conversation about bot rollout started on other wikis. Looking at the helpful voter list Trevor pulled up above, it seems like meta, ro and de wikis would be good next candidates.

Niharika updated the task description. (Show Details)Aug 9 2018, 9:22 PM
Niharika moved this task from Bug backlog to Tracking work by others on the Community-Tech board.

@Keegan Could you reach out to Eran and let him know that we're ready to rollout the bot on Hebrew wikipedia once we have the translations and bot approval in place? We'd appreciate any help he's able to provide for those tasks.

We can also get the conversation about bot rollout started on other wikis. Looking at the helpful voter list Trevor pulled up above, it seems like meta, ro and de wikis would be good next candidates.

Sure, I can contact Eran. Do you have a link to the strings on translatewiki? I went looking for them and got lost. Translatewiki is not easy to navigate unless you know exactly what you're looking for.

@Keegan Could you reach out to Eran and let him know that we're ready to rollout the bot on Hebrew wikipedia once we have the translations and bot approval in place? We'd appreciate any help he's able to provide for those tasks.

We can also get the conversation about bot rollout started on other wikis. Looking at the helpful voter list Trevor pulled up above, it seems like meta, ro and de wikis would be good next candidates.

Sure, I can contact Eran. Do you have a link to the strings on translatewiki? I went looking for them and got lost. Translatewiki is not easy to navigate unless you know exactly what you're looking for.

Yup, it's in the task description. Link.

Niharika renamed this task from Commons Deletion Bot: Determine & execute rollout strategy (which wikis? in what order?) to Commons Deletion Bot: Rollout tracking.Aug 10 2018, 5:46 PM

Ha, great, thanks.

Thanks @Keegan. I see Eran's replied to it. We should see if he could help us with getting the discussions started for obtaining a bot flag.

While discussing the bot in hewiki (here), @Geagea suggested a good idea to report all the images nominated to be deleted and used in a wiki also in a dedicated page (in addition to talk pages of pages using it) so users involved in image patrolling can watch a dedicated page. What do you think? Please note that Steinsplitter already runs something similar - example but it is written to Commons page rather than the specific project.

@Steinsplitter, would it be possible that your bot will output the report also to hewiki in addition to commons, or would it fit better to Commons Deletion bot?

@Steinsplitter, would it be possible that your bot will output the report also to hewiki in addition to commons, or would it fit better to Commons Deletion bot?

It is just a simple script, we can put the output to a page directly on hewiki if needed.
If Commons Deletion Bot can do the job, feel free to use it and i switch mine off. :-)

Does the bot include "no permission" and "no source" tags?

@Steinsplitter, would it be possible that your bot will output the report also to hewiki in addition to commons, or would it fit better to Commons Deletion bot?

It is just a simple script, we can put the output to a page directly on hewiki if needed.

@Steinsplitter We would love to have the report also in hewiki. Would it be possible to output it also to:
:he:Wikipedia:תחזוקה/תמונות מועמדות למחיקה

This just completes Commons Deletion bot - a dedicated page for all nominated images is especially useful for users patroling images (may be aware to URAA, freedom of panorma and other "complex" issues) while notifications in talk page is useful for the editors of that page.

Does the bot include "no permission" and "no source" tags?

I think no (according to source: https://github.com/MaxSem/CommonsNotifier/blob/master/make-list.py#L64 ) e.g Deletion_requests, Candidates for speedy deletion, Copyright violations
but no Missing source, missing permission

@eranroz Okay, will setup later. My bot is not approved there, was just temporary when sorting out stuff a while ago. Is that a problem?

@eranroz Okay, will setup later. My bot is not approved there, was just temporary when sorting out stuff a while ago. Is that a problem?

@Steinsplitter, Thank you! I'll nominate the bot in hewiki and will ping you on commons later once it will get community consensus. (it becomes out off topic in this phab ticket)

@Steinsplitter, @eranroz, @Geagea - I believe CommunityTech decided against implementing that feature (posting to a centralized page) since SteinsplitterBot was already doing it. In cases where a community-maintained tool is already doing something, CommTech almost always prefers extending that tool rather than taking over the functionality, so +1 for having SteinsplitterBot handle that part.

eranroz updated the task description. (Show Details)Aug 20 2018, 7:29 PM

There is community consensus in hewiki to start running both @Steinsplitter bot for a centralized page as well as Community Tech Bot for reporting in the relevant talk pages. Thank you

Niharika updated the task description. (Show Details)Aug 20 2018, 10:01 PM
Niharika updated the task description. (Show Details)Aug 20 2018, 10:53 PM
Niharika updated the task description. (Show Details)Sep 17 2018, 1:11 PM
Niharika updated the task description. (Show Details)Oct 2 2018, 8:19 PM
Elitre added a subscriber: Elitre.Oct 5 2018, 10:41 AM

Since Keegan is going to be busy with SDC stuff for a while, can someone else claim this task at this point perhaps? TY!

Niharika removed Keegan as the assignee of this task.Oct 5 2018, 4:57 PM
Niharika added a subscriber: Keegan.